Fehlermeldung bei Installation RPI_Cam_Web_Interface

  • Nach einer Neuinstallation und Update /Upgrade meines Raspberry PIs erhalte ich bei der Installation des Kameratreibers folgende Fehlermeldung:

    raspimjpeg: /lib/arm-linux-genueabihf/lic.so.6: version 'GLIBC_2.28' not found (required by raspimjpeg).


    Offenbar ist da eion Treiber nicht mehr vorhanden oder in einer veralteten Version. Was muss ich unternehmen, um das Problem zu lösen? Ich bin in Sachen Linux absoluter Laie. Bitte helft mir mit einer Beschreibung für Dummies.

  • Welche Rahmenbedingungen sind für die Neuinstallation von RPI_cam_web_interface vorgegeben und erfüllt Deine raspberry pi Umgebung diese voll umfänglich?

    Optimismus ist nur ein Mangel an Informationen🤓

  • Welche Rahmenbedingungen sind ...

    Evtl. sollte der Entwickler von RPI_cam_web_interface, seine Software ohne "_FORTIFY_SOURCE" kompilieren.


    EDIT:


    @TE: Wie ist auf deinem PI die Ausgabe von:

    Code
    ldd --version | grep -i glibc

    ?

    The most popular websites without IPv6 in Germany.  IPv6-Ausreden

    Edited 2 times, last by rpi444 ().

  • Versuch es mal manuell zu installieren:

    sudo apt update && sudo apt install glibc

    Dieser Befehl führte zum download zahlreicher Dateien. Am Ende kam jedoch der alles entscheidende Fehler: Paket glibc kann nicht gefunden werden. Bei der Gelegenheit noch eine Frage: Ist jessie noch die aktuelle Version für den Raspberry PI. Dies wird mir immer angezeigt und ich bin nicht sicher, ob das noch aktuell ist.

  • Dieser Befehl führte zum download zahlreicher Dateien. Am Ende kam jedoch der alles entscheidende Fehler: Paket glibc kann nicht gefunden werden. Bei der Gelegenheit noch eine Frage: Ist jessie noch die aktuelle Version für den Raspberry PI. Dies wird mir immer angezeigt und ich bin nicht sicher, ob das noch aktuell ist.

    Es gibt kein package glibc

    Code
    pi@raspberrypi:~ $ apt-cache policy glibc
    N: Unable to locate package glibc

    Wie sind auf deinem PI, die Ausgaben von:

    Code
    apt-cache policy glibc-doc
    cat /etc/os-release

    ? Die aktuelle raspbian-version ist buster:

    The most popular websites without IPv6 in Germany.  IPv6-Ausreden

  • Der genannte Befehl führt zu folgender Ausgabe: GLIBC2.19-18+deb8u10 2.19

  • Der genannte Befehl führt zu folgender Ausgabe: GLIBC2.19-18+deb8u10 2.19

    Dann hast Du nicht buster auf deinem PI. Z. B. beim buster:

    Code
    pi@raspberrypi:~ $ ldd --version | grep -i glibc
    ldd (Debian GLIBC 2.28-10+rpi1) 2.28

    The most popular websites without IPv6 in Germany.  IPv6-Ausreden

  • Es gibt kein package glibc

    Code
    pi@raspberrypi:~ $ apt-cache policy glibc
    N: Unable to locate package glibc

    Wie sind auf deinem PI, die Ausgaben von:

    Code
    apt-cache policy glibc-doc
    cat /etc/os-release

    ? Die aktuelle raspbian-version ist buster:

    Hier die Ausgaben meines Freundes:

    pi@raspberry:~ $ ldd --version | grep -i glibc

    ldd (Debian GLIBC 2.19-18+deb8u10) 2.19

    pi@raspberry:~ $ $ apt-cache policy glibc

    bash: $: Kommando nicht gefunden.

    pi@raspberry:~ $ $ apt-cache policy glibc-doc

    bash: $: Kommando nicht gefunden.

    pi@raspberry:~ $ cat /etc/os-release

    PRETTY_NAME="Raspbian GNU/Linux 8 (jessie)"

    NAME="Raspbian GNU/Linux"

    VERSION_ID="8"

    VERSION="8 (jessie)"

    ID=raspbian

    ID_LIKE=debian

    HOME_URL="http://www.raspbian.org/"

    SUPPORT_URL="http://www.raspbian.org/RaspbianForums"

    BUG_REPORT_URL="http://www.raspbian.org/RaspbianBugs"

    pi@raspberry:~ $

  • Also ist klar, dass ich eine veraltete Version des Betriebssystems installiert habe. Kann ich die automatisch updaten?? Und wenn ja, wie?

  • Kann ich die automatisch updaten??

    M. E. wäre es besser, wenn Du raspbian-buster neu installierst.

    The most popular websites without IPv6 in Germany.  IPv6-Ausreden

  • Nun bin doch noch einmal wieder hier. Ich habe inzwischen Raspian buster installiert und anschließend auch das RPi_Cam_Web_Interface. Das Interface kann ich über einen Explorer ansprechen und bekomme auch die Benutzeroberfläche angezeigt. Leider aber kein Bild der Kamera. An der Stelle ist lediglich ein Icon zu sehen. Direkt nach der Installation hat alles einwandfrei funktioniert. Ich habe dann den PI neu gestartet um zu sehen, ob auch der Autostart einwandfrei funktioniert. Seit dem habe ich von der Kamera kein Bild mehr. Vermutlich wird ein Treiber nicht geladen. Ich habe leider keine Ahnung wie ich jetzt weiter verfahren soll. Vielleicht könnt ihr mir noch einmal helfen?

    Danke im Voraus!!

    Noch ein Zusatz: Das Kameramodul verfügt über eine LED. Diese leuchtet, wenn die Kamera aktiviert wird. Zur Zeit schaltet sich das Modul immer wieder nach wenigen Sekunden ab, aber es reagiert auf Bewegung und schaltet sich wieder ein.